(defvar t-map (make-sparse-keymap))

(easy-menu-define t-menu t-map
  "Menu"
  '("Test"
    ["Do nothing" ignore]))

(defun test ()
  (interactive)
  (pop-to-buffer "*test*")
  (insert "plain text\n")
  (insert "text with keymap property")
  (beginning-of-line)
  (add-text-properties (line-beginning-position)
                       (line-end-position)
                       (list 'keymap t-map 'face 'shadow)))
